package cn.hnthyy.thmz.service.his.mz;

import cn.hnthyy.thmz.entity.his.mz.YpZdClass;

import java.util.List;
import java.util.Map;

public interface YpZdClassService {
    /**
     * 查询所有的药品分类
     * @return
     */
    List<YpZdClass> queryYpZdClasses();


    /**
     * 查询所有检验分类
     * @return
     */
    List<Map<String,Object>> queryJyZdClasses();


    /**
     * 查询所有检查分类
     * @return
     */
    List<Map<String,Object>> queryJcZdClasses();

    /**
     * 根据code查询药品分类
     * @param code
     * @return
     */
    List<YpZdClass> queryYpZdClassesByCode(String code);

    /**
     * 根据code查询当前药品分类是否为父节点
     * @param code
     * @return
     */
    int queryIsParent(String code);
}
